Spec0docsCLI 0.7.0
API Explorer

Compare two arbitrary specs (multipart)

oasdiff-backed structured changelog + breaking-change list.

POST
/api/v1/public/specs/diff

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token. Either a Personal Access Token (pat_...) or a Service Account Token (sat_...). Issued via the Spec0 dashboard or /me/personal-access-tokens.

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://app.spec0.io/api/v1/public/specs/diff" \  -F base="string" \  -F revision="string"
{
  "hasBreakingChanges": true,
  "changelog": {},
  "breakingChanges": [
    {}
  ]
}
{
  "error": "string",
  "message": "string"
}
{
  "status": 0,
  "title": "string",
  "detail": "string",
  "type": "string",
  "instance": "string"
}
Empty
Was this helpful?